%define pygtk_ver   0.6.9
%define pygnome_ver 1.4.2

# whether build pygnome-gtkhtml package
%define WITH_GTKHTML 1

Summary: Python bindings for the GTK+ widget set
Name: pygtk
Version: %pygtk_ver
Serial: 1
Release: alt5
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%pygnome_ver.tar.gz
Patch1: gnome-python-1.4.2-gtkhtml.patch

License: LGPL
Group: Development/GNOME and GTK+

Url: ftp://ftp.daa.com.au/pub/james/python/


# Automatically added by buildreq on Mon Nov 18 2002
BuildRequires: XFree86-devel XFree86-libs gdk-pixbuf-devel glib-devel glibc-devel-static gtk+-devel gtkglarea-devel imlib-devel libGLU-devel libglade-devel libxml-devel python-devel zlib-devel

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

%package -n pygtk-devel
Version: %pygtk_ver
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/GNOME and GTK+
Requires: pygtk = %pygtk_ver-%release

%description -n pygtk-devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%package -n pygtk-libglade
Version: %pygtk_ver
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/GNOME and GTK+
Requires: pygtk = %pygtk_ver-%release

%description -n pygtk-libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%ifnarch ppc
%package -n pygtk-glarea
Version: %pygtk_ver
Summary: A wrapper for the GtkGLArea widget for use with PyGTK
Group: Development/GNOME and GTK+
Requires: pygtk = %pygtk_ver-%release

%description -n pygtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows you
to display OpenGL output inside your pygtk program.  It needs a set of
Python OpenGL bindings such as PyOpenGL to actually do any OpenGL rendering.
%endif

%prep
%setup -q -n gnome-python-%pygnome_ver
%patch1 -p1

%build
cd pygtk
%if WITH_GTKHTML
%configure --with-gtkhtml
%else
%configure
%endif

%make_build

%install
cd pygtk
%makeinstall

%files 
%_libdir/python%__python_version/site-packages/gtk.py*
%_libdir/python%__python_version/site-packages/GtkExtra.py*
%_libdir/python%__python_version/site-packages/GTK.py*
%_libdir/python%__python_version/site-packages/GDK.py*
%_libdir/python%__python_version/site-packages/GdkImlib.py*
%_libdir/python%__python_version/site-packages/pyglade/*.py*

%_libdir/python%__python_version/site-packages/_gtkmodule.so
%_libdir/python%__python_version/site-packages/_gdkimlibmodule.so
%_libdir/python%__python_version/site-packages/gdkpixbufmodule.so

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog
%doc pygtk/description.py pygtk/examples

%files -n pygtk-libglade
%_libdir/python%__python_version/site-packages/libglade.py*
%_libdir/python%__python_version/site-packages/_libglademodule.so

%files -n pygtk-devel
%_bindir/pygtk-codegen-1.2
%_includedir/pygtk
%dir %_datadir/pygtk
%dir %_datadir/pygtk/1.2
%_datadir/pygtk/1.2/codegen
%dir %_datadir/pygtk/1.2/defs
%_datadir/pygtk/1.2/defs/gtk.defs
%_datadir/pygtk/1.2/defs/gtkbase.defs
%_datadir/pygtk/1.2/defs/gtkcontainers.defs
%_datadir/pygtk/1.2/defs/gtkdata.defs
%_datadir/pygtk/1.2/defs/gtkdnd.defs
%_datadir/pygtk/1.2/defs/gtkedit.defs
%_datadir/pygtk/1.2/defs/gtkenums.defs
%_datadir/pygtk/1.2/defs/gtkgl.defs
%_datadir/pygtk/1.2/defs/gtklists.defs
%_datadir/pygtk/1.2/defs/gtkmenus.defs
%_datadir/pygtk/1.2/defs/gtkmisc.defs
%_datadir/pygtk/1.2/defs/gtkranges.defs
%_datadir/pygtk/1.2/defs/libglade.defs

%ifnarch ppc
%files -n pygtk-glarea
%_libdir/python%__python_version/site-packages/gtkgl.py*
%_libdir/python%__python_version/site-packages/_gtkglmodule.so
%endif

%changelog
* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1:0.6.9-alt5
- build w/o pygnome

* Thu Jan 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.4.2-alt4
- pygnome-gtkhtml package
- requires updated *_ver->*_ver-release. 

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.2-alt3
- 1.4.2 

* Fri Oct 12 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.1-alt2
- rebuild with new libpng

* Fri Aug 10 2001 Stanislav Ievlev <inger@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Wed Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.4.0-alt1
- New version
- Rebuilt with python-2.1
- Some spec cleanup

* Fri Dec 15 2000 AEN <aen@logic.ru>
- adopted for RE
- rebuild with new rpm

* Fri Dec 15 2000 DindinX <odin@mandrakesoft.com> 1.0.53-5mdk
- rebuild with python 2.0

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-4mdk
- added missing util.py*

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-3mdk
- suppressed svgalib-devel BuildRequires.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-2mdk
- automatically added BuildRequires

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 1.0.53-1mdk
- New version

* Mon Apr  3 2000 DindinX <odin@mandrakesoft.com> 1.0.52-1mdk
- Added URL tag
- New version
- resurect pygtk-glarea
- Added a %clean tag

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 1.0.51-4mdk
- Specs fixes
- Group fixes
- Added some deps.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.0.51-3mdk
- PPC support

* Thu Feb 17 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-2mdk
- defattr's

* Wed Feb 16 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-1mdk
- update to 1.0.51
- requires python 1.5.2
- do some merges with the official spec
	- added pygnome-libglade subpackage
	- split applet and capplet modules into their own package

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Bump spec to get above pablo (lay off the crack son, ther is no 1.0.52)

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- And make pygnome the main package cause rpm

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Opps forgot to uncomment pygtk-glarea

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- configure goes in build not prep
- enable SMP build
- zip and strip
- 1.0.50

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild with %defattr(-,root,root) (Thanks to Michael Irving <laric@laric.com>).

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without libgtkgl.so.3.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.4

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Sat Feb 20 1999 Michael Johnson <johnsonm@redhat.com>
- added gtk.py* to pygtk filelist

* Tue Feb 16 1999 Michael Johnson <johnsonm@redhat.com>
- rebuilt against 0.99.8

* Tue Feb 09 1999 Michael Johnson <johnsonm@redhat.com>
- added examples
